Bug 26200 - [Chromium] Auto Spell Correct in Chromium makes cursor jump arbitrarily in text boxes already having text
: [Chromium] Auto Spell Correct in Chromium makes cursor jump arbitrarily in te...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: HTML Editing
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 17:16 PDT by Siddhartha Chattopadhyay
Modified: 2009-06-24 15:05 PDT (History)
0 users

See Also:


Attachments
Patch to fix cursor behavior (1.23 KB, patch)
2009-06-04 17:21 PDT, Siddhartha Chattopadhyay
eric: review-
Details | Formatted Diff | Diff
Patch 2 to fix caret position after auto correction of word (2.01 KB, patch)
2009-06-05 10:41 PDT, Siddhartha Chattopadhyay
no flags Details | Formatted Diff | Diff
Patch 2 to fix caret position after auto correct (2.46 KB, patch)
2009-06-05 10:47 PDT, Siddhartha Chattopadhyay
eric: review-
Details | Formatted Diff | Diff
Also add a manual test (2.81 KB, patch)
2009-06-12 16:41 PDT, Siddhartha Chattopadhyay
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Siddhartha Chattopadhyay 2009-06-04 17:16:08 PDT
In order to repro this in Chromium, click on a reply email in Gmail and type in a mispelled word. The curson jumps to an arbitrary position.
Comment 1 Siddhartha Chattopadhyay 2009-06-04 17:21:58 PDT
Created attachment 30976 [details]
Patch to fix cursor behavior
Comment 2 Eric Seidel 2009-06-04 20:16:13 PDT
Comment on attachment 30976 [details]
Patch to fix cursor behavior

This needs a manual test.
Your ChangeLog has tabs in it (which makes it unlandable).
Your ChangeLog shoudl have a better description of what is actually being fixed here :)
Comment 3 Siddhartha Chattopadhyay 2009-06-05 10:41:20 PDT
Created attachment 31003 [details]
Patch 2 to fix caret position after auto correction of word
Comment 4 Siddhartha Chattopadhyay 2009-06-05 10:47:30 PDT
Created attachment 31004 [details]
Patch 2 to fix caret position after auto correct
Comment 5 Eric Seidel 2009-06-12 11:32:24 PDT
Comment on attachment 31004 [details]
Patch 2 to fix caret position after auto correct

This only needs one ChangeLog.  It also needs a manual test still.  WebCore/manual-tests.  Also, patches won't get reviewed until they're marked r=?  see http://webkit.org/coding/contributing.html
Comment 6 Siddhartha Chattopadhyay 2009-06-12 16:41:07 PDT
Created attachment 31221 [details]
Also add a manual test
Comment 7 Eric Seidel 2009-06-14 02:27:49 PDT
Comment on attachment 31221 [details]
Also add a manual test

Looks fine.  Seems we might need to start adding a platform/ directory to the manual-tests :)
Comment 8 Siddhartha Chattopadhyay 2009-06-15 10:58:49 PDT
Great - if it is alright with you, could you please submit the patch for me? I do not have commit access. Thanks.

-Sid

(In reply to comment #7)
> (From update of attachment 31221 [details] [review])
> Looks fine.  Seems we might need to start adding a platform/ directory to the
> manual-tests :)
> 

Comment 9 Eric Seidel 2009-06-18 14:47:29 PDT
Comment on attachment 31221 [details]
Also add a manual test

LGTM.
Comment 10 Eric Seidel 2009-06-24 01:06:07 PDT
Comment on attachment 31221 [details]
Also add a manual test

Tabs in the ChangeLog.  Will have to land this manually.
Comment 11 Eric Seidel 2009-06-24 01:12:28 PDT
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/editing/Editor.cpp
	A	WebCore/manual-tests/textarea-caret-position-after-auto-spell-correct.html
Committed r45075
http://trac.webkit.org/changeset/45075
Comment 12 Siddhartha Chattopadhyay 2009-06-24 15:05:36 PDT
Thanx !

(In reply to comment #11)
> Committing to http://svn.webkit.org/repository/webkit/trunk ...
>         M       WebCore/ChangeLog
>         M       WebCore/editing/Editor.cpp
>         A      
> WebCore/manual-tests/textarea-caret-position-after-auto-spell-correct.html
> Committed r45075
> http://trac.webkit.org/changeset/45075
>